package com.sckw.slope.detection.dao.mysql;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sckw.slope.detection.model.dos.mysql.KwsIntegration;
import com.sckw.slope.detection.model.param.DeviceQuery;
import com.sckw.slope.detection.model.param.IntegrationQuery;
import com.sckw.slope.detection.model.vo.IntegrationItemVO;
import com.sckw.slope.detection.model.vo.IntegrationVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
@DS("mysql")
public interface KwsIntegrationMapper extends BaseMapper<KwsIntegration> {
    int deleteByPrimaryKey(Long id);

    int insert(KwsIntegration record);

    int insertSelective(KwsIntegration record);

    KwsIntegration selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(KwsIntegration record);

    int updateByPrimaryKey(KwsIntegration record);

    List<IntegrationItemVO> getDataByFindInSet(String partNames);

    List<IntegrationVo> getDataByName(@Param("integrationQuery") IntegrationQuery integrationQuery);

    List<IntegrationVo> getDataByStringName(@Param("integrationName") String integrationName);

    List<IntegrationVo> getDataByInNames(@Param("mountainId") String  mountainId,@Param("integrationName") String[]  integrationName);
}